Package wx :: Class RendererVersion

[frames | no frames]

## Type RendererVersion

    object --+
             |
            RendererVersion

This simple struct represents the `wx.RendererNative` interface version and is only used as the return value of `wx.RendererNative.GetVersion`.

Method Summary
RendererVersion | ``__init__`(self, version_, age_)` This simple struct represents the `wx.RendererNative` interface version and is only used as the return value of `wx.RendererNative.GetVersion`.
| `__del__(self)`
bool | `IsCompatible(ver)` (Static method)

Property Summary
| `age`
| `thisown`: The membership flag
| `version`

Class Variable Summary
`int` | `Current_Age` = 5
`int` | `Current_Version` = 1

Instance Method Details

### __init__(self, version_, age_)
(Constructor)

This simple struct represents the `wx.RendererNative` interface version and is only used as the return value of `wx.RendererNative.GetVersion`.

  Parameters:
    `version_`
    (type=int)

    `age_`
    (type=int)

  Returns:
    RendererVersion
  Overrides:
    `__builtin__.object.__init__`

Property Details

### thisown

The membership flag

Class Variable Details

### Current_Age

  Type:
    `int`
  Value:

        5

### Current_Version

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:50 2007 | http://epydoc.sf.net